#!/usr/bin/env python3

import sys
import random
from random import randint
from linereader import copen

if len(sys.argv) != 3:
    print("scriptName length dictionaryFile")
    sys.exit(0)

if sys.argv[1].isdigit():
    count = int(sys.argv[1])
else:
    print(sys.argv[1], "is not an integer")
    sys.exit(0)

filename = sys.argv[2]
with open(filename) as myfile:
    length = sum(1 for line in myfile if line.rstrip('\n'))

print("Dictionary Length:", length)
password = ""

while True:
    file = copen(filename)
    lineNumber = randint(1, length)
    randomLine = file.getline(lineNumber)
    randomLine = randomLine.rstrip()
    print(":", randomLine)
    password = password + randomLine
    if len(password) > count:
        break

i = 0
lenPass = len(password)
listPass = list(password)

while i<lenPass/2:
    index = randint(0,lenPass-1)
    char = listPass[index]
    print("Changing", char, "with", char.upper())
    listPass[index] = char.upper()
    i = i + 1

i = 0
while i<lenPass/2:
    index = randint(0,lenPass-1)
    print("Changing", listPass[index], end='')
    listPass[index] = chr(random.randint(40,60))
    print(" with: ", listPass[index])
    i = i + 1

print(''.join(listPass), end='')
print()
