#!/usr/bin/env python3

import sys
import random

if len(sys.argv) != 2:
    print("I need just one argument!")
    sys.exit(0)

if sys.argv[1].isdigit():
    count = int(sys.argv[1])
else:
    print(sys.argv[1], "is not an integer")
    sys.exit(0)

MIN = 31
MAX = 120
for i in range(0, count):
    while True:
        randomNumber = random.randrange(MIN, MAX)
        char = str(chr(randomNumber))
        if char.isspace() == False:
            break
    print(char, end='')

print()
