#!/usr/bin/perl -w

use strict;
use warnings;
use Image::Base::GD;

my $x = 10;
my $y = 10;
my $outputfilename = "test.png";

my $im = Image::Base::GD->new (-width => $x,
                               -height => $y);

my @color = ('#000000', '#008800', '#00BB00', '#0000FF',
	'#0088FF', '#00BBFF', '#00FFFF',
	'#88FFFF', '#BBFFFF', '#FFFFFF');

for (my $i=0; $i<$x; $i++)
{
	for (my $k=0; $k<$y; $k++)
	{
		my $index = ($i * $k) % 10;
		$im->xy($i, $k, $color[$index]);
	}
}

$im->save($outputfilename);
exit 0;
