#!/usr/bin/env Rscript

x <- 10
y <- 5
pixels <- x * y
digits <- readLines("~/pi1M.txt")
A <- strsplit(gsub('\\s+', '', digits),'')[[1]]
colours <- c("white", "blue", "red", "yellow", "pink", "lightblue", "green", "black", "gray", "lightgray")

digitCounter <- 1
for (i in 1:pixels) {
	if (A[i] == '.') next
	xValue <- digitCounter %% x
	yValue <- floor(digitCounter / x)
	colorIndex <- strtoi(A[i], base = 0L) + 1
	digitCounter <- digitCounter + 1
	cat(xValue, " ", yValue, " ", colours[colorIndex], "\n")
}

cat("Number of digits:", digitCounter, "\n")